package com.testor.module.contractor.manage.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.testor.common.model.UpdateProcessStatusReq;
import com.testor.module.contractor.manage.model.domain.TContractorPreparation;
import com.testor.module.contractor.manage.model.dto.ContractorPreparationDto;
import com.testor.module.contractor.manage.model.dto.TContractorPreparationParam;
import com.tongtech.tfw.backend.common.models.supers.SuperService;

/**
 * 开工准备Service接口
 * 
 * @author testor-framework
 * @date 2024-11-24 13:19:04
 */
public interface TContractorPreparationService extends SuperService<TContractorPreparation> {

    Page<ContractorPreparationDto> pageList(TContractorPreparationParam param);

    TContractorPreparation addEntity(TContractorPreparationParam addRequest);

    void updateProcessStatus(UpdateProcessStatusReq updateProcessStatusReq) throws Exception;

    void startProcess(TContractorPreparationParam updateRequest);
    void completeProcess(TContractorPreparationParam updateRequest);

    TContractorPreparation getByCtractorIdAndProjIdAndBizId(String contractorId, String projectId, String bizId);
}
